跳转到主要内容
POST
Geocoding API

请求规范

  • 方法与路径: POST /apis/v1/google-maps/geocoding-api
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/google-maps/geocoding-api
  • Runtime 事实版本: 3b5a2acec503471a11eb19f2556b4dd51989d71bc63d22f67f55218e55b002ef
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.0053 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.0053
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
key
string

Your application's API key. If not provided, will be extracted from connection metadata.

示例:

"YOUR_API_KEY"

bounds
string

The bounding box of the viewport within which to bias geocode results more prominently (e.g., '34.172684,-118.604794|34.236144,-118.500938'). This parameter will only influence, not fully restrict, results.

示例:

"34.172684,-118.604794|34.236144,-118.500938"

latlng
string

The latitude and longitude coordinates specifying the location for which you want the closest, human-readable address (e.g., '40.714224,-73.961452'). Provide for reverse geocoding.

示例:

"40.714224,-73.961452"

region
string

The region code, specified as a ccTLD ('top-level domain') two-character value. This parameter will only influence, not fully restrict, results from the geocoder.

示例:

"US"

"ES"

address
string

The street address or plus code that you want to geocode. Provide for geocoding (address to coordinates).

示例:

"1600 Amphitheatre Parkway, Mountain View, CA"

language
string

The language in which to return results. If language is not supplied, the geocoder attempts to use the preferred language as specified in the Accept-Language header, or the native language of the domain from which the request is sent.

示例:

"en"

"es"

place_id
string

The place ID of the place for which you wish to obtain the human-readable address. Provide for place ID geocoding.

示例:

"ChIJd8BlQ2BZwokRAFUEcm_qrcA"

components
string

A components filter with elements separated by a pipe (|). E.g., 'postal_code:94043|country:US'. Used for geocoding, can be restrictive or biasing. Supplying only components without address may return ZERO_RESULTS for some queries.

示例:

"postal_code:94043|country:US"

result_type
string

A filter of one or more address types, separated by a pipe (|) (e.g., 'street_address|locality'). Used for reverse geocoding and place ID geocoding.

示例:

"street_address|locality"

location_type
string

A filter of one or more location types, separated by a pipe (|) (e.g., 'ROOFTOP|RANGE_INTERPOLATED'). Used for reverse geocoding and place ID geocoding.

示例:

"ROOFTOP|RANGE_INTERPOLATED"

extra_computations
enum<string>[]

Use this parameter to specify additional features in the response. Can select multiple values.

可用选项:
ADDRESS_DESCRIPTORS,
BUILDING_AND_ENTRANCES
示例:

响应

Tool result data

status
string
必填
results
object[]
必填
plus_code
object
error_message
string